function pulse_train(D)
% plot components of Fourier series for pulse train
% pulse height = 1, pulse width = 1
% D = duty cycle
% pulse_train(D)
%
T0 = 1/D;
t = linspace(-3.5*T0,3.5*T0,300);
g1 = (2/pi)*sin(pi*D)*cos(2*pi*D.*t);
g2 = (1/pi)*sin(2*pi*D)*cos(4*pi*D.*t);
g3 = (2/(3*pi))*sin(3*pi*D)*cos(6*pi*D.*t);
g4 = (1/(2*pi))*sin(4*pi*D)*cos(8*pi*D.*t);
g5 = (2/(5*pi))*sin(5*pi*D)*cos(10*pi*D.*t);
g01 = D + g1;
g012 = g01 + g2;
g0123 = g012 + g3;
g01234 = g0123 + g4;
g012345 = g01234 + g5;
subplot(2,1,1);
curves = [g1;g2;g3;g4;g5];
plot(t,curves)
xlabel('t');
title('Fourier Series Components of Pulse Train');
subplot(2,1,2);
curves = [g01;g012;g0123;g01234;g012345];
plot(t,curves)
xlabel('t');
title('Fourier Series Synthesis of Pulse Train');

