function [Gk]=DFT(gn,N)
% Compute Discrete Fourier Transform
% ---------------------
% N = Number of samples of DFT
% gn = N-point input sequence
% Gk = DFT frequency components
% Gk = DFT(gn,N)
n = 0:N-1;
k = 0:N-1;
WN = exp(-j*2*pi/N);
nk = n'*k;
WNnk = WN.^nk;
Gk = gn*WNnk;
