% Example 47a
% plot gauss*cos(2*pi*f1*t) 
% t goes from 0 to 16 msec
%
m = 9;
fc = 2000;      % Hertz
tc = 1/fc;      % seconds
N = 2^m;                % N = 512
Ncycles = 2^(m-5);      % Ncycles = 16
tmax = 2*Ncycles*tc;    % 16 msec
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
gauss = exp(-pi*(t-t0).^2/a.^2); 
y = gauss.*cos(2*pi*fc*(t-t0));
plot(t,y)
axis([0,tmax,-1.2,1.2]);
xticks(0:tmax/8:tmax);
xticklabels(0:tmax*1000/8:tmax*1000); % label milliseconds
xlabel('t (msec)'); 
title('Gaussian cosine wave');
