% Example 47b
% plot DFT of gauss*cos(2*pi*fc*(t-t0)) 
% t goes from 0 to 16 msec
%
m = 9;
fc = 2000;      % Hertz
tc = 1/fc;      % seconds
N = 2^m;                % N = 512
Ncycles = 2^(m-5);      % Ncycles = 16
tmax = 2*Ncycles*tc;    % 16 msec
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
gauss = exp(-pi*(t-t0).^2/a.^2); 
y = gauss.*cos(2*pi*fc*(t-t0));
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
realGk = real(Gk);
imagGk = imag(Gk);
angleGk = angle(Gk)*180/pi;
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/6,N/6,-N/16,N/4+N/16]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-N/4:N/32:N/4);
xticklabels(-N/(4000*tmax):N/(32000*tmax):N/(4000*tmax)); 
ax.YTick = 0:N/8:N/4+N/16;
xlabel('f (kHz)'); ylabel('|G(k)|');
title('Magnitude of DFT ');
