% Example 48a   
% plot cos(2*pi*fc*t) + cos(2*pi*fe*t) + cos(2*pi*fg*t)
% Major C chord is C-E-G
% t goes from 0 to 250 msec
%
m = 9;
f1 = 250;
fc = 261.6256;     % C freq in Hz
fe = 329.6276;     % E freq in Hz
fg = 391.9954;     % G freq in Hz
t1 = 1/f1;      % seconds
N = 2^m;                % N = 512
Ncycles = 2^(m-5);      % Ncycles = 16
tmax = 2*Ncycles*t1;    % 16 msec
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
gauss = exp(-pi*(t-t0).^2/a.^2); 
yc = gauss.*cos(2*pi*fc*(t-t0));
ye = gauss.*cos(2*pi*fe*(t-t0));
yg = gauss.*cos(2*pi*fg*(t-t0));
y = yc + ye + yg;
plot(t,y)
axis([0,tmax,-3.2,3.2]);
xticks(0:tmax/8:tmax);
xticklabels(0:tmax*1000/8:tmax*1000); % label milliseconds
xlabel('t (msec)'); 
title('Major C chord: C-E-G');
