% Example 48b
% plot DFT 0f cos(2*pi*fc*t)+cos(2*pi*fe*t)+cos(2*pi*fg*t)
% Major C chord is C-E-G
% t goes from 0 to 250 msec
%
m = 9;
f1 = 250;
fc = 261.6256;     % C freq in Hz
fe = 329.6276;     % E freq in Hz
fg = 391.9954;     % G freq in Hz
t1 = 1/f1;      % seconds
N = 2^m;                % N = 512
Ncycles = 2^(m-5);      % Ncycles = 16
tmax = 2*Ncycles*t1;    % 16 msec
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
gauss = exp(-pi*(t-t0).^2/a.^2); 
yc = gauss.*cos(2*pi*fc*(t-t0));
ye = gauss.*cos(2*pi*fe*(t-t0));
yg = gauss.*cos(2*pi*fg*(t-t0));
y = yc + ye + yg;
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/6,N/6,-N/16,N/4+N/16]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-N/4:N/32:N/4);
xticklabels(-N/(4*tmax):N/(32*tmax):N/(4*tmax)); 
ax.YTick = 0:N/8:N/4+N/16;
xlabel('f (Hz)'); ylabel('|G(k)|');
title('Magnitude of DFT: Major C Chord ');
