% Example 49a 
% Amplitude modulation
% plot gm(t)*cos(2*pi*fc*t) 
% t goes from 0 to 64 msec
%
m = 12;
fc = 1000;      % 1000 Hz
Ac = 6;         % amplitude of carrier
fm = 60;        % 60 Hz
Am = 1.5;       % amplitude of modulating signal
tc = 1/fc;      % seconds
N = 2^m;                % N = 4096
Ncycles = 2^(m-6);      % Ncycles = 64
tmax = Ncycles*tc;      % 16 msec
t = linspace(0,tmax,N);
gm = Ac + Am*cos(2*pi*fm*t); 
yc = cos(2*pi*fc*t);
y = gm.*yc;
plot(t,y)
axis([0,tmax,-8,8]);
xticks(0:tmax/8:tmax);
xticklabels(0:tmax*1000/8:tmax*1000); % label milliseconds
xlabel('t (msec)'); 
title('Amplitude modulated waveform');
