% Example 49b 
% Amplitude modulation
% plot DFT of gm(t)*cos(2*pi*fc*t) 
% t goes from 0 to 64 msec
%
m = 12;
fc = 1000;     % 1000 Hz
Ac = 6;         % amplitude of carrier
fm = 60;        % 60 Hz
Am = 1.5;       % amplitude of modulating signal
tc = 1/fc;      % seconds
N = 2^m;                % N = 4096
Ncycles = 2^(m-6);      % Ncycles = 64
tmax = Ncycles*tc;    % 16 msec
t = linspace(0,tmax,N);
gm = Ac + Am*cos(2*pi*fm*t); 
yc = cos(2*pi*fc*t);
y = gm.*yc;
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk)/Ac;
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/14,N/14,-N/16,N/2+N/16]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-N/4:N/64:N/4);
xticklabels(-N/(4*tmax):N/(64*tmax):N/(4*tmax)); 
ax.YTick = 0:N/16:N/2+N/16;
xlabel('f (Hz)'); ylabel('|G(k)|');
title('Magnitude of DFT: AM ');
