% Example 50a 
% Frequency modulation
% plot cos(2*pi*fc*t + bf*sin(2*pi*fm*t)) 
% t goes from 0 to 64 msec
%
m = 10;
fc = 1000;      % 1000 Hz carrier freq.
Ac = 6;         % amplitude of carrier
fm = 60;        % 60 Hz  modulation freq.
bf = 5;         % frequency modulation index
tc = 1/fc;      % seconds
N = 2^m;                % N = 2048
Ncycles = 2^(m-4);      % Ncycles = 64
tmax = Ncycles*tc;      % 16 msec
t = linspace(0,tmax,N);
y = Ac*cos(2*pi*fc*t + bf*sin(2*pi*fm*t));
plot(t,y);
axis([0,tmax,-8,8]);
xticks(0:tmax/8:tmax);
xticklabels(0:tmax*1000/8:tmax*1000); % label milliseconds
xlabel('t (msec)'); 
title('Frequency modulated waveform');
