% Example 50b 
% Frequency modulation
% plot cos(2*pi*fc*t + (kf*Am/fm)*sin(2*pi*fm*t)) 
% t goes from 0 to 64 msec
%
m = 10;
fc = 1000;     % 1000 Hz carrier freq.
Ac = 6;         % amplitude of carrier
fm = 60;        % 60 Hz  modulation freq.
bf = 5;         % frequency modulation index
tc = 1/fc;      % seconds
N = 2^m;                % N = 2048
Ncycles = 2^(m-4);      % Ncycles = 64
tmax = Ncycles*tc;      % 16 msec
t = linspace(0,tmax,N);
y = Ac*cos(2*pi*fc*t + bf*sin(2*pi*fm*t));
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk)/Ac;
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/4,N/4,-N/16,N/4+N/16]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-N/4:N/16:N/4);
xticklabels(-N/(4*tmax):N/(16*tmax):N/(4*tmax)); 
ax.YTick = 0:N/16:N/2+N/16;
xlabel('f (Hz)'); ylabel('|G(k)|');
title('Magnitude of DFT: FM ');
