% Example 43b
N = 64;
gn = [0.0 0.25 0.5 0.75 1.0 0.75 0.5 0.25];
Gkr = fft(gn,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
realGk = real(Gk);
imagGk = imag(Gk);
angleGk = angle(Gk)*180/pi;
k = -N/2:N/2-1;
f = k/N;
subplot(2,2,1); plot(f, magGk); 
axis([-0.5,0.5,-0.5,4.4]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -0.5:0.1:0.5;
ax.YTick = 0:0.5:4;
xlabel('f'); ylabel('|G(f)|');
title('Fourier Transform of Triangle Function');
subplot(2,2,2); plot(f, realGk); 
axis([-0.5,0.5,-4,4.4]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -0.5:0.1:0.5;
ax.YTick = -4:1:4;
xlabel('f'); ylabel('Real G(f)');
title('Real Fourier Transform of Triangle Function');
subplot(2,2,3); plot(f, angleGk); 
axis([-0.5,0.5,-200,200]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -0.5:0.1:0.5;
ax.YTick = -200:50:200;
xlabel('f'); ylabel('Angle G(f)');
title('Angle of Fourier Transform of Triangle Function');
subplot(2,2,4); plot(f, imagGk); 
axis([-0.5,0.5,-4,4]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -0.5:0.1:0.5;
ax.YTick = -4:1:4;
xlabel('f'); ylabel('Imag G(f)');
title('Imaginary Fourier Transform of Triangle Function');

