% Example 52b 
% Quadrature Phase Shift Keying (QPSK)
% plot DFT for QPSK signal for 01001011
% m(t) = ASCII code for K: 01001011
m = 10;
fc = 1000;      % Hertz
tc = 1/fc;      % seconds
N = 2^m;                % N = 1024
Ncycles = 2^(m-5);      % Ncycles = 32
tmax = Ncycles*tc;      % 16 msec
Nbits = 4;
b1 = ones(1,N/Nbits);       % 00
b2 = 2*ones(1,N/Nbits);     % 01
b3 = 3*ones(1,N/Nbits);     % 11
b4 = 4*ones(1,N/Nbits);     % 10
mt = [b2 b1 b4 b3];         % 01001011
t = linspace(0,tmax,N); 
y = cos(2*pi*fc*t + (mt-1).*(pi/2));
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk)/Ac;
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/6,N/6,-N/64,N/12]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
