% Example 44a
function coswave()
% plot cos(wt + phi) for 3 cycles
% phi = angle in radians
% wt goes from -2*pi to 2*pi
% coswave()
%
phi = 0;
phirad = pi*phi/180.;
f0 = 1000;
Ncycles = 3;
N = Ncycles*30;
tmax = Ncycles/f0;
t = linspace(-tmax/2,tmax/2,N);
wt = 2*pi*f0*t;
y = cos(wt+phirad);
plot(wt,y);
axis([-2*pi-0.5,2*pi+0.5,-1.2,1.2]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-2*pi:pi:2*pi);
xticklabels({'-2\pi','-\pi','0','\pi','2\pi'});
xlabel('wt'); ylabel('cosine');
title('Cosine Wave');
