% Example 44b  Sine and Cosine 
N = 4;
gn = [1 0 -1 0];  %cosine
%gn = [0 1 0 -1];  %sine
Gkr = fft(gn,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
realGk = real(Gk);
imagGk = imag(Gk);
angleGk = angle(Gk)*180/pi;
k = -N/2:N/2-1;
subplot(2,2,1); stem(k, magGk); 
axis([-0.5-N/2,N/2,-0.5,N/2+0.5]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -2.:1.0:2;
ax.YTick = 0:0.5:2;
xlabel('k'); ylabel('|G(k)|');
title('Magnitude of DFT ');
subplot(2,2,2); stem(k, realGk); 
axis([-0.5-N/2,N/2,-0.5,N/2+0.5]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -2.:1.0:2;
ax.YTick = 0:0.5:2;
xlabel('k'); ylabel('Real G(k)');
title('Real DFT');
subplot(2,2,3); stem(k, angleGk); 
axis([-0.5-N/2,N/2,-200,200]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -2.:1.0:2;
ax.YTick = -200:50:200;
xlabel('k'); ylabel('Angle G(k)');
title('Angle of DFT');
subplot(2,2,4); stem(k, imagGk); 
axis([-0.5-N/2,N/2,-N/2-0.5,N/2+0.8]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
ax.XTick = -2.:1.0:2;
ax.YTick = 0:0.5:2;
xlabel('k'); ylabel('Imag G(k)');
title('Imag DFT');
