% Example 46a
% plot rect((t-t0)/a)*cos(2*pi*fc*(t-t0)) 
% t goes from 0 to 16 msec
%
m = 9;
fc = 1000;      % Hertz
tc = 1/fc;      % seconds
N = 2^m;                % N = 512
Ncycles = 2^(m-6);      % Ncycles = 8
tmax = 2*Ncycles*tc;    % 16 msec
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
rect = [zeros(1,N/4) ones(1,N/2) zeros(1,N/4)];  
y = rect.*cos(2*pi*fc*(t-t0));
plot(t,y)
axis([0,tmax,-1.2,1.2]);
xticks(0:tmax/8:tmax);
xticklabels(0:tmax*1000/8:tmax*1000); % label milliseconds
xlabel('t (msec)'); 
title('Rectangular cosine wave');
