% Example 46b
% plot DFT of rect((t-t0)/a)*cos(2*pi*fc*(t-t0)) 
% t goes from 0 to 16 msec
%
m = 9;
fc = 1000;      % Hertz
tc = 1/fc;      % seconds
N = 2^m;            % N = 512
Ncycles = 2^(m-6);  % Ncycles = 8
tmax = 2*Ncycles*tc;
t0 = tmax/2;
a = tmax/2;
t = linspace(0,tmax,N);
rect = [zeros(1,N/4) ones(1,N/2) zeros(1,N/4)];  
y = rect.*cos(2*pi*fc*(t-t0));
Gkr = fft(y,N);
Gk = fftshift(Gkr);
magGk = abs(Gk);
f = -N/2:N/2-1;
plot(f, magGk); 
axis([-N/6,N/6,-N/16,N/4+N/16]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xticks(-N/4:N/32:N/4);
xticklabels(-N/(4000*tmax):N/(32000*tmax):N/(4000*tmax)); 
ax.YTick = 0:N/8:N/4+N/16;
xlabel('f (kHz)'); ylabel('|G(k)|');
title('Magnitude of DFT ');
