function [gn]=IDCT(Gk,N)
% Compute Inverse Discrete Cosine Transform
% ---------------------
% Gk = N-point input IDCT frequency components
% gn = N-point output sequence
% N = Number of samples of IDCT
% gn = IDCT(Gk,N)
k = 0:N-1;
M = 2*N;
Gk = 2*real(Gk).*exp(j*pi*k/M);
Gkf = flip(Gk);              %flip order of Gk elements 
GkfC = conj(Gkf);            %compex conjugate
Hk = [Gk 0 GkfC(1:N-1)]      % Hf of length M = 2N
hn = ifft(Hk,M);             %inverse fft
gn = real(hn(1:N));          % keep first N real values


