function [Gkx]=DCT2a(gnm,N,M)
% Compute Discrete Cosine Transform of matrix columns
% ---------------------
% gnn = N x M input matrix
% Gkm = DCT of columns
% Gkm = DCT2a(gnm,N,M)
n = 0:N-1;
k = 0:N-1;
N2 = 2*N;
gnmf = flip(gnm);      % flip order of elements in columns
hnm = [gnm; gnmf];     % hnm 2NxM matrix
Hkm = fft(hnm);        % fft of all columns
Gkm = Hkm(1:N,:)/2;    % keep only first N rows
E = exp(-j*pi*k/N2).'; % adjust phase E col vector
EN = repmat(E,1,M);    % EN NxM matrix
Gkm = EN.*Gkm;
Gkx = real(Gkm);       % return real part (imag part zero)

