function [gnx]=IDCT2a(Gkl,N,M)
% Compute Inverse Discrete Cosine Transform of matrix columns
% ---------------------
% Gkl = N x M input matrix
% gnl = IDCT of columns
% gnl = IDCT2a(Gkl,N,M)
k = 0:N-1;
N2 = 2*N;
E = exp(j*pi*k/N2).';          %adjust phase E col vector
EN = repmat(E,1,M);            % EN NxM matrix
Gkl = 2*EN.*Gkl;
Gklf = flip(Gkl);              %flip order of Gkl columns 
GklfC = conj(Gklf);            %compex conjugate
HN2 = zeros(1,M);
Hkm = [Gkl; HN2; GklfC(1:N-1,:)]; % Hf of length M = 2N
gnx = ifft(Hkm);               %inverse fft
gnx = real(gnx(1:N,:));        % return real first N rows 
