function [Gk]=DCT(gn,N)
% Compute Discrete Cosine Transform
% ---------------------
% N = Number of samples of DCT
% gn = N-point input sequence
% Gk = DCT frequency components
% Gk = DCT(gn,N)
n = 0:N-1;
k = 0:N-1;
M = 2*N;
gnf = flip(gn);             %flip order of gn elements
hn = [gn gnf];              % hn of length M = 2N
Hk = fft(hn,M);
Gk = Hk(1:N)/2;             % keep only first N values
Gk = Gk.*exp(-j*pi*k/M);    %adjust phase
Gk = real(Gk);              % return only real part 
