function [gn]=IDDCT(Gk,N)
% Compute Direct Inverse Discrete Cosine Transform
% N = Number of samples of DCT
% Gk = DCT input frequency components
% gn = N-point output sequence
% gn = IRDCT(Gk,N)
n = 0:N-1;
k = 0:N-1;
Cr = (2/N)*cos(pi*k.'*((2*n+1)/(2*N))); % revised C
Cr0n = (1/N)*ones(1,N);     % row 1
Crk1n = Cr(2:N,:);          % rows 2:8
Cr = [Cr0n;Crk1n];          % rows 1:8
gn = Gk*Cr;

